Bug 64432 - Implement CSSPropertyCursor in CSSStyleApplyProperty
Summary: Implement CSSPropertyCursor in CSSStyleApplyProperty
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Luke Macpherson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-12 21:49 PDT by Luke Macpherson
Modified: 2011-07-17 19:00 PDT (History)
3 users (show)

See Also:


Attachments
Work in progress patch (5.90 KB, patch)
2011-07-12 21:51 PDT, Luke Macpherson
no flags Details | Formatted Diff | Diff
Patch (8.42 KB, patch)
2011-07-13 16:27 PDT, Luke Macpherson
no flags Details | Formatted Diff | Diff
Patch for landing (8.54 KB, patch)
2011-07-17 18:07 PDT, Luke Macpherson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Macpherson 2011-07-12 21:49:23 PDT
WIP: Implement CSSPropertyCursor in CSSStyleApplyProperty
Comment 1 Luke Macpherson 2011-07-12 21:51:23 PDT
Created attachment 100626 [details]
Work in progress patch
Comment 2 WebKit Review Bot 2011-07-12 21:54:46 PDT
Attachment 100626 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1

Source/WebCore/css/CSSStyleSelector.h:304:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/css/CSSStyleSelector.h:305:  The parameter name "property" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/css/CSSStyleSelector.h:305:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 3 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Luke Macpherson 2011-07-13 16:27:57 PDT
Created attachment 100728 [details]
Patch
Comment 4 WebKit Review Bot 2011-07-14 18:39:11 PDT
Comment on attachment 100728 [details]
Patch

Rejecting attachment 100728 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-01', '--port..." exit_code: 2

Last 500 characters of output:
6c3fa13abb2c97f549ec762027ce18cea7df0459
r91038 = 713c439431e7c1cbe9c6aee3d23d3a6f274dbba2
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.
Updating chromium port dependencies using gclient...

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/9097025
Comment 5 Luke Macpherson 2011-07-17 18:07:45 PDT
Created attachment 101121 [details]
Patch for landing
Comment 6 WebKit Review Bot 2011-07-17 19:00:09 PDT
Comment on attachment 101121 [details]
Patch for landing

Clearing flags on attachment: 101121

Committed r91170: <http://trac.webkit.org/changeset/91170>
Comment 7 WebKit Review Bot 2011-07-17 19:00:13 PDT
All reviewed patches have been landed.  Closing bug.